Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.project
Class DefaultProject

    java.lang.Object
      EntityObject
          com.atlassian.bamboo.core.BambooEntityObject
              com.atlassian.bamboo.project.DefaultProject

All Implemented Interfaces:
  BambooObject, Project

    public class DefaultProject

extends BambooEntityObject
implements Project

Field Summary
`protected String` | `name`

Fields inherited from class com.atlassian.bamboo.core.BambooEntityObject
`id`

Constructor Summary
`DefaultProject()`

Method Summary
`int` | `compareTo(Object obj)`
`boolean` | `equals(Object o)`
`List` | `getBuilds()` Returns all `Build` associated with the `Project`.
`String` | `getCurrentStatus()` Returns the string representatioin the current status of a build.
`String` | `getKey()` Returns key of the project.
`List` | `getLabellings()`
`String` | `getName()`
`int` | `getNumberOfFailedBuilds()`
`String` | `getProjectSummary()`
`int` | `hashCode()`
`void` | `setBuilds(List builds)`
`void` | `setKey(String key)` Sets the key for the project.
`void` | `setLabellings(List labellings)`
`void` | `setName(String name)`

Methods inherited from class com.atlassian.bamboo.core.BambooEntityObject
`getId, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.core.BambooObject
`getId, setId`

Field Detail

### name

    protected String name

Constructor Detail

### DefaultProject

    public DefaultProject()

Method Detail

### getKey

    public String getKey()

  Description copied from interface: `Project`
  Returns key of the project. Keys are capital, alphanumeric strings.

  Specified by:
    `getKey` in interface `Project`
  Returns:
    key of project. Must not be null.

### setKey

    public void setKey(String key)

  Description copied from interface: `Project`
  Sets the key for the project. Must not be null

  Specified by:
    `setKey` in interface `Project`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Project`

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `Project`

### getBuilds

    public List getBuilds()

  Description copied from interface: `Project`
  Returns all `Build` associated with the `Project`. Returns `Collections.EMPTY_LIST`` if there are no `Build`s for the project.

  Specified by:
    `getBuilds` in interface `Project`
  Returns:
    `List` of `Build`s. `Collections.EMPTY_LIST`` if no builds.

### getProjectSummary

    public String getProjectSummary()

### getCurrentStatus

    public String getCurrentStatus()

  Description copied from interface: `Project`
  Returns the string representatioin the current status of a build. Mirrors `Build@getCurrentStatus`. It will return "current" if any plan is building, and "fail" if any plan is failing.

  Specified by:
    `getCurrentStatus` in interface `Project`
  Returns:
    a String

### getNumberOfFailedBuilds

    public int getNumberOfFailedBuilds()

### setBuilds

    public void setBuilds(List builds)

### getLabellings

    public List getLabellings()

  Specified by:
    `getLabellings` in interface `Project`

### setLabellings

    public void setLabellings(List labellings)

  Specified by:
    `setLabellings` in interface `Project`

### hashCode

    public int hashCode()

### equals

    public boolean equals(Object o)

### compareTo

    public int compareTo(Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.